# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pixelscript"
version = "0.6.4"
authors = ["Jordan Castro jordan@grupojvm.com"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Multi language scripting runtime"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/jordan-castro/pixelscript"

[features]
default = [
    "lua",
    "python",
    "js",
    "include-core",
    "js_commonjs",
]
include-core = [
    "pxs_json",
    "pxs_mem",
]
js = []
js_commonjs = []
lua = []
luajit = []
php = []
pxs-debug = []
pxs_json = []
pxs_mem = []
python = []
testing = []

[lib]
name = "pixelscript"
crate-type = [
    "staticlib",
    "rlib",
]
path = "src/lib.rs"

[[test]]
name = "test_all"
path = "tests/test_all.rs"

[[test]]
name = "test_arena"
path = "tests/test_arena.rs"

[[test]]
name = "test_call"
path = "tests/test_call.rs"

[[test]]
name = "test_clearstate"
path = "tests/test_clearstate.rs"

[[test]]
name = "test_core"
path = "tests/test_core.rs"

[[test]]
name = "test_eval"
path = "tests/test_eval.rs"

[[test]]
name = "test_example"
path = "tests/test_example.rs"

[[test]]
name = "test_execute"
path = "tests/test_execute.rs"

[[test]]
name = "test_ft"
path = "tests/test_ft.rs"

[[test]]
name = "test_list_hostobjects"
path = "tests/test_list_hostobjects.rs"

[[test]]
name = "test_lua"
path = "tests/test_lua.rs"

[[test]]
name = "test_objects"
path = "tests/test_objects.rs"

[[test]]
name = "test_python"
path = "tests/test_python.rs"

[[test]]
name = "test_raise"
path = "tests/test_raise.rs"

[[test]]
name = "test_refcount"
path = "tests/test_refcount.rs"

[[test]]
name = "test_scope"
path = "tests/test_scope.rs"

[[test]]
name = "test_threads"
path = "tests/test_threads.rs"

[[test]]
name = "test_type"
path = "tests/test_type.rs"

[[test]]
name = "test_vars"
path = "tests/test_vars.rs"

[dependencies.etffi]
version = "0.1.2"

[build-dependencies.bindgen]
version = "0.72.1"

[build-dependencies.cbindgen]
version = "0.29.2"

[build-dependencies.cc]
version = "1.2.52"

[profile.release]
opt-level = "z"
lto = "fat"
codegen-units = 1
debug = 0
panic = "unwind"
incremental = false
strip = true
